#ifndef __DEFAULT_H__
#define __DEFAULT_H__ 1

// The maximum number of iods in the whole system
#define MAX_IODS	256

#ifdef VIODS_SUPPORT
// The maximum number of viods in the whole system
#define MAX_VIODS	64 

#ifdef WRITEMIRROR_SUPPORT
// The maximal number - 1 of iods on which the write mirror packet has to be
// replicated (for write mirror requests)
#define MAX_NEXTIODS	2
#endif /* WRITEMIRROR_SUPPORT */

#endif /* VIODS_SUPPORT */

// How many subdirectories should be used on the iods ?
// Must be between 1 and 255
// NB: it may be interesting to adjust this size with the number of direct
//     addressable blocks in an inode
#define NB_IODS_SUBDIR       0x20

// The maximum number of files that may be sent in a PURGE request
#define MAXPENDINGFILES 10

// The size of blocks used to store files on the iods
// MUST be a 4KB (1<<12) multiple
#define BLOCKSIZE       (1<<16)

// Timeout (in ms) for unlinkd: force send of files removal notifications if
// no event happened for this long
#define UNLINKD_TIMEOUT 5000

// Timeout (in ms) for unlinkd: wait this long before retrying and
// TCP-connecting to iod
#define UNLINKD_RETRYCONNECT 200

// Default path where nfspd seeks its iods.conf
#define IODS_CONF_FILE "/etc/iods.conf"

#endif
