// ipstring
// helps display IP information
//
// Author:
//   2003 Pierre Lombard <pierre.lombard@imag.fr>
//
// License: GPLv2

#ifndef __IPSTRING_H__
#define __IPSTRING_H__ 1

// Macro used to display numerical IPs
// Reentrant as it does not use static buffers (like in inet_ntoa())
// Example: printf("IP of i=%d is " NTODSTR "\n", i, NTOD(x));
#define NTODSTR "%d.%d.%d.%d:%d"
#define NTOD(x) ((x).sin_addr.s_addr>>0)&0xFF, \
		((x).sin_addr.s_addr>>8)&0xFF, \
		((x).sin_addr.s_addr>>16)&0xFF, \
		((x).sin_addr.s_addr>>24)&0xFF, \
		ntohs((x).sin_port)

#endif

